If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Clients do not synchronise

RESOLVED FIXED

Status

Cloud Services
General
RESOLVED FIXED
10 years ago
8 years ago

People

(Reporter: mossop, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

10 years ago
It seems whenever I update weave it stops synchronising without manual tinkering and resetting. Now I cannot get it synchronising at all with v0.1.22.

I tried resetting the server data, resetting the client data on my second machine (though that didn't appear to work) and resetting the logins, then signing in on the main machine and performing the transfer, then the same on the second machine. Now both are signed in but the bookmarks are still different in each.

When I sync on the main machine I see:

2008-03-24 19:16:22	Service.BmkEngine	INFO	Beginning sync
2008-03-24 19:16:24	Service.BmkEngine	INFO	Got status file from server
2008-03-24 19:16:24	Service.BmkEngine	INFO	Downloading server deltas
2008-03-24 19:16:25	Service.BmkEngine	INFO	Local snapshot version: 0
2008-03-24 19:16:25	Service.BmkEngine	INFO	Server status: 0
2008-03-24 19:16:25	Service.BmkEngine	INFO	Server maxVersion: 0
2008-03-24 19:16:25	Service.BmkEngine	INFO	Server snapVersion: 0
2008-03-24 19:16:25	Service.BmkEngine	INFO	Sync complete: no changes needed on client or server
2008-03-24 19:16:25	Service.HistEngine	INFO	Beginning sync
2008-03-24 19:16:27	Service.HistEngine	INFO	Got status file from server
2008-03-24 19:16:28	Service.HistEngine	INFO	Downloading server deltas
2008-03-24 19:16:31	Service.HistEngine	INFO	Local snapshot version: 0
2008-03-24 19:16:31	Service.HistEngine	INFO	Server status: 0
2008-03-24 19:16:31	Service.HistEngine	INFO	Server maxVersion: 1
2008-03-24 19:16:31	Service.HistEngine	INFO	Server snapVersion: 0
2008-03-24 19:16:31	Service.HistEngine	INFO	Reconciling client/server updates
2008-03-24 19:16:31	Service.HistEngine	INFO	Changes for client: 422
2008-03-24 19:16:31	Service.HistEngine	INFO	Predicted changes for server: 0
2008-03-24 19:16:31	Service.HistEngine	INFO	Client conflicts: 1
2008-03-24 19:16:31	Service.HistEngine	INFO	Server conflicts: 1
2008-03-24 19:16:31	Service.HistEngine	WARN	Conflicts found!  Discarding server changes
2008-03-24 19:16:31	Service.HistEngine	INFO	Applying changes locally
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.bbspot.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://thedailywtf.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.w3.org/TR/html4/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.w3.org/TR/CSS21/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.w3.org/TR/2004/REC-DOM-Level-3-Core-20040407/core.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.w3.org/TR/DOM-Level-3-XPath/xpath.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.w3.org/Protocols/rfc2616/rfc2616.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.dnsstuff.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://dev.mysql.com/doc/mysql/en/index.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/XUL
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.xulplanet.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.yahoo.net/yui/index.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/query.cgi
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/describecomponents.cgi?product=Core
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/describecomponents.cgi?product=Toolkit
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/describecomponents.cgi?product=Firefox
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/buglist.cgi?cmdtype=runnamed&namedcmd=Interested
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/buglist.cgi?cmdtype=runnamed&namedcmd=Todays%20New
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.mozilla.org/quality/bug-writing-guidelines.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/buglist.cgi?query_format=advanced&product=Firefox&bug_status=UNCONFIRMED&bug_severity=enhancement&chfieldfrom=2002-01-01&chfieldto=now&chfield=%5BBug+creation%5D
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.vulnscan.org/UnrealIrcd/unreal32docs.html#userchannelmodes
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://forums.mozillazine.org/viewforum.php?f=23
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://forums.mozillazine.org/viewforum.php?f=19
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.mozilla.org/owners.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://hourly-archive.localgho.st/mac.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://pastebin.mozilla.org/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://users.blueprintit.co.uk/~dave/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://tinderbox.mozilla.org/showbuilds.cgi?tree=Firefox
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.google.com/reader/view/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr-test.landfill.bugzilla.org/seamonkey/search?string=%s
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.facebook.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://login.facebook.com/login.php
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.facebook.com/home.php?
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.facebook.com/reqs.php
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/buglist.cgi?cmdtype=runnamed&namedcmd=Todo
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/process_bug.cgi
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://planet.mozilla.org/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://intranet.mozilla.org/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://intranet.mozilla.org/Main_Page
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.oxymoronical.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://bugzilla.oxymoronical.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://bugzilla.oxymoronical.com/buglist.cgi?cmdtype=runnamed&namedcmd=Tab%20Sidebar%202
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://addons.mozilla.org/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://addons.mozilla.org/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://addons.mozilla.org/en-US/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://addons.mozilla.org/en-US/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://addons.mozilla.org/en-US/firefox/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://addons.mozilla.org/en-US/firefox/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://wiki.mozilla.org/Firefox3/StatusMeetings
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://wiki.mozilla.org/Firefox3/Product_Requirements_Document
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/toolkit/mozapps/extensions/src/nsExtensionManager.js.in
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://wiki.mozilla.org/User:Mossop
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/toolkit/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Special:Nutch?language=en&start=0&hitsPerPage=10&fulltext=Search&query=string
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Core_JavaScript_1.5_Reference:Global_Objects:String
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/toolkit/mozapps/extensions/content/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/toolkit/mozapps/extensions/content/extensions.js
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://wiki.mozilla.org/User:Mossop:Fx-Docs:AddonUpdateSecurity
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/buglist.cgi?cmdtype=runnamed&namedcmd=Needs%20Review
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://news.bbc.co.uk/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.mozilla.org/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://intranet.mozilla.org/PhoneBook
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.oxymoronical.com/web/firefox/TabSidebar
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/xpinstall/src/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=286661
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.oxymoronical.com/web/firefox/nightly
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/toolkit/mozapps/extensions/public/nsIExtensionManager.idl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://svn.oxymoronical.com/viewvc/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://svn.oxymoronical.com/viewvc/mozilla/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://svn.oxymoronical.com/viewvc/mozilla/firefox/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://svn.oxymoronical.com/viewvc/mozilla/firefox/buildid/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/post_bug.cgi
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/enter_bug.cgi?product=Firefox
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.oxymoronical.com/admin
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://svn.mozilla.org/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/buglist.cgi
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://panel.dreamhost.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://panel.dreamhost.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://panel.dreamhost.com/index.cgi
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.google.com/adsense
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://www.google.com/adsense
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://www.google.com/adsense/home
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://www.google.com/adsense/report/overview
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://addons.mozilla.org/en-US/firefox/users/login
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.facebook.com/notifications.php
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/request.cgi?requester=dtownsend%40mozilla.com&requestee=dtownsend%40mozilla.com&do_union=1&group=type
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://hgbook.red-bean.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://hgbook.red-bean.com/hgbook.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://www.google.com/adsense/report/aggregate?product=afc&dateRange.dateRangeType=simple&dateRange.simpleDate=sincelastpayment&reportType=property&groupByPref=date&unitPref=page
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://wiki.mozilla.org/Build:TryServer
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://tinderbox.mozilla.org/showbuilds.cgi?tree=MozillaTry
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/XPCOM_string_guide
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Special:Nutch?language=en&start=0&hitsPerPage=10&fulltext=Search&query=array
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/buglist.cgi?cmdtype=runnamed&namedcmd=Needs%20Checkin
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://intranet.mozilla.org/StaffMeeting
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://wiki.mozilla.org/WeeklyUpdates
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Special:Nutch?language=en&start=0&hitsPerPage=10&fulltext=Search&query=install.rdf
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/install.rdf
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://addons.mozilla.org/en-US/firefox/developers
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Chrome_Registration
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/enter_bug.cgi
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/find?string=browser.xul
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/browser/base/content/browser.xul
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/buglist.cgi?cmdtype=runnamed&namedcmd=My%20Fixes
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.bbspot.com/archives_links.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/enter_bug.cgi?product=Core
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.oxymoronical.com/web/firefox/TabSidebar/development
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=393383
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.eclipse.net.uk/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://www.eclipse.net.uk/index.cfm?id=myeclipse
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://www.eclipse.net.uk/index.cfm?id=login&allowloginpassthrough=%21%2F0%20%20%0A&loginpassthroughurl=M9%21%2DHF1XDP%239%2AJ8%27BNE%22%29IDS5W%21V5NY%2C%22YE3BFHJW%22%3E%5F7%3EI%259Q%29%3A%2BVJ%2802X%5E3%0A%24D%40J%20%24%40%20%20%0A&relocate=1
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://www.eclipse.net.uk/index.cfm?id=login&allowloginpassthrough=%21%2F0%20%20%0A&loginpassthroughurl=M9%21%2DHF1XDP%239%2AJ8%27BNE%22%29IDS5W%21V5NY%2C%22YE3BFHJW%22%3E%5F7%3EI%259Q%29%3A%2BVJ%2802X%5E3%0A%24D%40J%20%24%40%20%20%0A
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://www.eclipse.net.uk/index.cfm?id=myeclipse&relocate=1
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/mozilla1.8/source/toolkit/mozapps/extensions/src/nsExtensionManager.js.in
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://quotes.burntelectrons.org/submit
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.w3.org/Style
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.w3.org/Style/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.w3.org/Style/CSS
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.w3.org/Style/CSS/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.w3.org/Style/CSS/current-work
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/userprefs.cgi
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/find?string=badcerthandler
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/toolkit/mozapps/shared/src/badCertHandler.js
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/buglist.cgi?cmdtype=runnamed&namedcmd=Assigned
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=393719
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/browser/base/content/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/McCoy
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Code_snippets:File_I/O
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.bbc.co.uk/news
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://gimp-app.sourceforge.net/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Special:Nutch?language=en&start=0&hitsPerPage=10&fulltext=Search&query=date
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Core_JavaScript_1.5_Reference:Global_Objects:Date
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/toolkit/locales/en-US/chrome/mozapps/extensions/extensions.properties
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Writing_xpcshell-based_unit_tests
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://addons.mozilla.org/en-US/firefox/browse/type:1
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/find?string=nsichannel
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/netwerk/base/public/nsIChannel.idl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://quotes.burntelectrons.org/browse
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/toolkit/components/urlformatter/public/nsIURLFormatter.idl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/toolkit/components/urlformatter/src/nsURLFormatter.js
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/enter_bug.cgi?product=Other%20Applications
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.apple.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.google.com/reader/view/#stream/user%2F16982753487619215664%2Fstate%2Fcom.google%2Freading-list
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Bug_writing_guidelines
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.facebook.com/profile.php?id=556451349
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.bbc.co.uk/sport
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://news.bbc.co.uk/sport/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://news.bbc.co.uk/sport1/hi/rugby_union/default.stm
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.mozilla.org/build/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/devnews/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://quotes.burntelectrons.org/browse?start=10
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Extension_Versioning%2C_Update_and_Compatibility#Update_RDF_Format
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Bundles
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.tescodvdrental.com/visitor/home.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://www.tescodvdrental.com/account/my_account.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.tescodvdrental.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://www.google.com/accounts/ServiceLoginAuth?service=reader
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/browser/base/content/browser.js
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=397073
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://intranet.mozilla.org/forum/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://intranet.mozilla.org/forum/people.php?PageAction=SignOutNow&ReturnUrl=http://intranet.mozilla.org/forum/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://intranet.mozilla.org/forum/people.php
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://intranet.mozilla.org/forum/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=391731
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=391633
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=391714
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/xpcom/ds/nsIObserverService.idl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=313462
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=398080
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://build.mozilla.org/sendchange.cgi
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/buglist.cgi?cmdtype=runnamed&namedcmd=Blockers
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/find?string=nsihttpchannel
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/netwerk/protocol/http/public/nsIHttpChannel.idl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Observer_Notifications
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/xpcom/io/nsIFile.idl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.beltzner.ca/mike/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/find?string=xpcshell
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://ant.apache.org/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/toolkit/components/startup/src/nsAppStartup.cpp
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: file:///Users/dave/Desktop/test.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=399913
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://intranet.mozilla.org/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://www.mozilla.org/hacking/reviewers.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://thetruthaboutmozilla.wordpress.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Core_JavaScript_1.5_Reference:Global_Objects:Function:call
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=400479
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.google.com/search?start=0&ie=utf-8&oe=utf-8&client=firefox&rls=org.mozilla:en-US:unofficial&q=wine+osx
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.google.com/search?start=0&ie=utf-8&oe=utf-8&client=firefox&rls=org.mozilla:en-US:unofficial&q=darwine
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://accounts.digiguide.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://accounts.digiguide.com/do_login.asp
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://www.tescodvdrental.com/visitor/login.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://panel.dreamhost.com/index.cgi?tree=status.bw&
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://intranet.mozilla.org/forum/post.php
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=391589
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/browser/components/places/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/netwerk/base/public/nsIStreamListener.idl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/netwerk/base/public/nsIRequestObserver.idl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://developer.mozilla.org/en/docs/Core_JavaScript_1.5_Reference:Global_Objects:Array:splice
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=401105
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/find?string=nsblocklist
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: http://mxr.mozilla.org/seamonkey/source/toolkit/mozapps/extensions/src/nsBlocklistService.js
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=401110
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/source/intl/uconv/src/nsConverterOutputStream.cpp
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=354527
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://labs.mozilla.com/2007/10/prism/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects/webrunner/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects/webrunner/trunk/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects/webrunner/trunk/app/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects/webrunner/trunk/build/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects/webrunner/trunk/install/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects/webrunner/trunk/install/profiles/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects/webrunner/trunk/app/chrome/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects/webrunner/trunk/app/updates/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects/webrunner/trunk/app/modules/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects/webrunner/trunk/app/extensions/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects/webrunner/trunk/app/defaults/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://svn.mozilla.org/projects/webrunner/trunk/app/defaults/preferences/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://developer.mozilla.org/en/docs/Working_with_windows_in_chrome_code
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://developer.mozilla.org/en/docs/Working_with_windows_in_chrome_code#Passing_data_between_windows
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=381661
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=401221
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=4821
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=401229
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.selenic.com/mercurial/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.selenic.com/mercurial/wiki/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.hmrc.gov.uk/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://iamthewalr.us/blog/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://dp.jstenback.com/git/?p=hg-track-cvs;a=summary
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://community.winsupersite.com/blogs/paul/archive/2007/10/23/internet-explorer-8-preview.aspx
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.winsupersite.com/images/blog/ie8_mockup_final.jpg
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.glubble.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.lambda-tek.com/componentshop/index.pl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.lambda-tek.com/componentshop/index.pl?reviewcart=go+to+cart
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/find?string=nsiwidget
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/source/widget/public/nsIWidget.h
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.lambda-tek.com/cgi-bin/submitOrd1.pl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.lambda-tek.com/cgi-bin/submitOrd2.pl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://ukvps.protx.com/vspgateway/service/carddetails
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://ukvps.protx.com/vspgateway/service/cardconfirmation
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://ukvps.protx.com/vspgateway/service/authentication
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.lambda-tek.com/componentshop/index.pl?login=login&usr=dtownsend%40oxymoronical.com&proceed=Go+to+My+Account
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.lambda-tek.com/componentshop/index.pl?account=dtownsend@oxymoronical.com
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://songbirdnest.com/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.songbirdnest.com/about
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://publicsvn.songbirdnest.com/wiki/Nightly_Builds
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://developer.songbirdnest.com/nightly/builds/macosx/i686
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://developer.mozilla.org/en/docs/Build_and_Install
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/source/netwerk/base/public/nsIIOService.idl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=387522
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: file:///Users/dave/Desktop/test.xul
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://software.hixie.ch/utilities/cgi/data/data
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.google.com/search?start=0&ie=utf-8&oe=utf-8&client=firefox&rls=org.mozilla:en-US:unofficial&q=html+doctype
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.google.co.uk/search?start=0&ie=utf-8&oe=utf-8&client=firefox&rls=org.mozilla:en-US:unofficial&q=html+doctype
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://htmlhelp.com/tools/validator/doctype.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=401543
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/attachment.cgi?id=286538
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.google.com/search?start=0&ie=utf-8&oe=utf-8&client=firefox&rls=org.mozilla:en-US:unofficial&q=xhtml+namespace
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.google.co.uk/search?start=0&ie=utf-8&oe=utf-8&client=firefox&rls=org.mozilla:en-US:unofficial&q=xhtml+namespace
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.w3schools.com/browsers/browsers_stats.asp
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://developer.mozilla.org/en/docs/XPCOM:Language_Bindings
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/find?string=canvas
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/source/dom/public/idl/canvas/nsIDOMCanvasRenderingContext2D.idl
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://wiki.mozilla.org/Update:RequirementsV33
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/find?string=blocklist
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://intranet.mozilla.org/All_Hands/4Q2007
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=401624
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.targetexpress.co.uk/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://target.city-link.co.uk/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=401637
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/find?string=notification.xml
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/source/toolkit/content/widgets/notification.xml
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/find?string=nsithread
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=401747
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=401322
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.google.com/search?start=0&ie=utf-8&oe=utf-8&client=firefox&rls=org.mozilla:en-US:unofficial&q=mercurial
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.google.co.uk/search?start=0&ie=utf-8&oe=utf-8&client=firefox&rls=org.mozilla:en-US:unofficial&q=mercurial
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=388445
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi#add_comment
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=402295
2008-03-24 19:16:32	Service.HistStore	INFO	  -> FIXME: NOT editing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=402434
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/source/modules/libjar/zipwriter/test/unit/test_storedata.js
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://intranet.mozilla.org/PhoneBook#T-U
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://www.tescodvdrental.com/welcome/home.html
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=271812
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://quotes.burntelectrons.org/browse?start=20
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://quotes.burntelectrons.org/browse?start=0
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://blog.mozilla.com/faaborg/2007/11/15/the-shape-of-things-to-come/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=400715
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=400719
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://addons.mozilla.org/en-US/firefox/addon/2207
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://addons.mozilla.org/en-US/firefox/developers/details/4634
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://addons.mozilla.org/en-US/firefox/developers/editversion/34159
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://viewvc.svn.mozilla.org/vc/addons/trunk/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://addons.mozilla.org/en-US/firefox/api/list/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://addons.mozilla.org/en-US/firefox/browse/type:2
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://bugzilla.mozilla.org/show_bug.cgi?id=404024
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://addons.mozilla.org/en-US/firefox/images/addon_preview/4988/1
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.postoffice.co.uk/
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://www.postoffice.co.uk/portal/po
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/source/browser/app/profile/firefox.js
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: http://mxr.mozilla.org/seamonkey/find?string=notification
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://addons.mozilla.org/en-US/firefox/api/search/flickr
2008-03-24 19:16:32	Service.HistStore	INFO	  -> NOT removing history entry: https://addons.mozilla.org/en-US/firefox/api/list/recommended
2008-03-24 19:16:32	Service.HistStore	INFO	  -> creating history entry: http://labs.mozilla.org/
2008-03-24 19:16:32	Service.HistStore	ERROR	Exception caught: this._hsvc.setPageDetails is not a function
2008-03-24 19:16:32	Service.HistStore	INFO	  -> creating history entry: http://labs.mozilla.com/
2008-03-24 19:16:32	Service.HistStore	ERROR	Exception caught: this._hsvc.setPageDetails is not a function
2008-03-24 19:16:32	Service.HistStore	INFO	  -> creating history entry: http://labs.mozilla.com/featured-projects/
2008-03-24 19:16:32	Service.HistStore	ERROR	Exception caught: this._hsvc.setPageDetails is not a function

... lots of INFO and ERROR messages ...

2008-03-24 19:16:38	Service.HistEngine	WARN	Commands did not apply correctly
2008-03-24 19:16:38	Service.SnapStore	INFO	Saving snapshot to disk
2008-03-24 19:16:39	Service.HistEngine	INFO	Actual changes for server: 423
2008-03-24 19:16:39	Service.HistEngine	INFO	Uploading changes to server
2008-03-24 19:16:47	Service.HistEngine	INFO	Successfully updated deltas and status on server
2008-03-24 19:16:47	Service.SnapStore	INFO	Saving snapshot to disk
2008-03-24 19:16:47	Service.HistEngine	INFO	Sync complete

And on the second machine:

2008-03-24 19:11:27	Service.SnapStore	INFO	Read saved snapshot from disk
2008-03-24 19:11:27	Service.BmkEngine	INFO	Beginning sync
2008-03-24 19:11:29	Service.BmkEngine	INFO	Got status file from server
2008-03-24 19:11:29	Service.BmkEngine	INFO	Downloading server deltas
2008-03-24 19:11:30	Service.BmkEngine	INFO	Local snapshot version: 0
2008-03-24 19:11:30	Service.BmkEngine	INFO	Server status: 0
2008-03-24 19:11:30	Service.BmkEngine	INFO	Server maxVersion: 0
2008-03-24 19:11:30	Service.BmkEngine	INFO	Server snapVersion: 0
2008-03-24 19:11:30	Service.BmkEngine	INFO	Sync complete: no changes needed on client or server
2008-03-24 19:11:30	Service.SnapStore	INFO	Read saved snapshot from disk
2008-03-24 19:11:30	Service.HistEngine	INFO	Beginning sync
2008-03-24 19:11:32	Service.HistEngine	INFO	Got status file from server
2008-03-24 19:11:33	Service.HistEngine	INFO	Downloading server deltas
2008-03-24 19:11:35	Service.HistEngine	INFO	Local snapshot version: 1
2008-03-24 19:11:35	Service.HistEngine	INFO	Server status: 0
2008-03-24 19:11:35	Service.HistEngine	INFO	Server maxVersion: 1
2008-03-24 19:11:35	Service.HistEngine	INFO	Server snapVersion: 0
2008-03-24 19:11:35	Service.HistEngine	INFO	Sync complete: no changes needed on client or server

Comment 1

10 years ago
Local snapshot version: 0
Server status: 0
Server maxVersion: 0
Server snapVersion: 0
Sync complete: no changes needed on client or server

What happened is that at some point *before* this log, you synced and although perhaps it failed, Weave saved the snapshot at that time as the "last sync state", with version 0.  Now, it checks the server, and sees that it is at version 0, and thus assumes there are no changes from the server.

You can force it to download the full server snapshot by deleting the local one: delete weave/snapshots/bookmarks-engine.json from your profile, restart firefox (it keeps it in memory), and sync.

I'll leave this bug open: the real problem, imo, is that we seem to have saved the snapshot even though sync did not succeed.

That said, check 0.1.25, it has several improvements over 0.1.22 to the core/reconciliation code.

Comment 2

10 years ago
I've found (and fixed) a couple of important problems in the sync core.  See bug 426006 for some discussion/description of the problems, which involve incorrectly saving a snapshot.

Closing this bug.
Status: NEW → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → FIXED

Updated

8 years ago
Component: Weave → General
Product: Mozilla Labs → Weave
Target Milestone: -- → ---
QA Contact: weave → general
You need to log in before you can comment on or make changes to this bug.